.. This (-*- rst -*-) format file contains commonly used link targets
   and name substitutions.  It may be included in many files,
   therefore it should only contain link targets and name
   substitutions.  Try grepping for "^\.\. _" to find plausible
   candidates for this list.

.. NOTE: reST targets are
   __not_case_sensitive__, so only one target definition is needed for
   nipy, NIPY, Nipy, etc...


.. mne

.. _`mne-python`: http://mne-tools.github.io/mne-python-intro
.. _`mne-python GitHub`: https://github.com/mne-tools/mne-python
.. _`mne-python sample dataset`: https://s3.amazonaws.com/mne-python/datasets/MNE-sample-data-processed.tar.gz
.. _`mne command line utilities`: http://www.nmr.mgh.harvard.edu/martinos/userInfo/data/MNE_register/
.. _`mne-scripts`: https://github.com/mne-tools/mne-scripts/
.. _`MNE-C manual`: https://mne.tools/mne-c-manual/MNE-manual-2.7.3.pdf
.. _`MNE mailing list`: http://mail.nmr.mgh.harvard.edu/mailman/listinfo/mne_analysis
.. _`GitHub issues page`: https://github.com/mne-tools/mne-python/issues/
.. _`MNE gitter channel`: https://gitter.im/mne-tools/mne-python
.. _`MNE-BIDS`: https://mne-tools.github.io/mne-bids/
.. _`MNE-HCP`: http://mne-tools.github.io/mne-hcp/
.. _`MNE-Realtime`: https://github.com/mne-tools/mne-realtime
.. _`MNE-MATLAB git repository`: https://github.com/mne-tools/mne-matlab

.. TUTORIAL LINKS

.. _errors: https://en.wikipedia.org/w/index.php?title=Type_I_and_type_II_errors#Table_of_error_types
.. _fwer: https://en.wikipedia.org/wiki/Family-wise_error_rate
.. _fdr: https://en.wikipedia.org/wiki/False_discovery_rate
.. _ft_cluster: http://www.fieldtriptoolbox.org/faq/how_not_to_interpret_results_from_a_cluster-based_permutation_test
.. _ft_cluster_effect_size: https://mailman.science.ru.nl/pipermail/fieldtrip/2017-September/024644.html
.. _ft_exch: https://mailman.science.ru.nl/pipermail/fieldtrip/2008-October/001794.html



.. TEMPLATE FOR LINKS TO OTHER PROJECTS
.. _PROJECTNAME: http://neuroimaging.scipy.org
.. _`PROJECTNAME github`: http://github.com/nipy
.. _`PROJECTNAME mailing list`: http://projects.scipy.org/mailman/listinfo/nipy-devel

.. numpy

.. _numpy: http://www.numpy.org
.. _`numpy github`: http://github.com/numpy/numpy
.. _`numpy style`: https://github.com/numpy/numpy/blob/master/doc/HOWTO_DOCUMENT.rst.txt
.. _`numpy mailing list`: http://mail.scipy.org/mailman/listinfo/numpy-discussion


.. scipy

.. _scipy: http://www.scipy.org
.. _`scipy github`: http://github.com/scipy/scipy
.. _`scipy mailing list`: http://mail.scipy.org/mailman/listinfo/scipy-dev


.. nipy

.. _nipy: http://nipy.org/nipy
.. _`nipy github`: http://github.com/nipy/nipy
.. _`nipy mailing list`: http://mail.scipy.org/mailman/listinfo/nipy-devel


.. ipython

.. _ipython: https://ipython.org
.. _`ipython github`: https://github.com/ipython/ipython
.. _`ipython mailing list`: https://mail.python.org/mailman/listinfo/ipython-dev


.. dipy

.. _dipy: http://nipy.org/dipy
.. _`dipy github`: http://github.com/Garyfallidis/dipy
.. _`dipy mailing list`: http://mail.scipy.org/mailman/listinfo/nipy-devel


.. nibabel

.. _nibabel: http://nipy.org/nibabel
.. _`nibabel github`: http://github.com/nipy/nibabel
.. _`nibabel mailing list`: http://mail.scipy.org/mailman/listinfo/nipy-devel


.. h5py

.. _h5py: http://www.h5py.org
.. _`h5py github`: http://github.com/h5py/h5py
.. _`h5py mailing list`: https://groups.google.com/forum/#!forum/h5py


.. marsbar

.. _marsbar: http://marsbar.sourceforge.net
.. _`marsbar github`: http://github.com/matthew-brett/marsbar
.. _`MarsBaR mailing list`: https://lists.sourceforge.net/lists/listinfo/marsbar-users


.. Astropy

.. _Astropy: http://www.astropy.org
.. _`Astropy GitHub`: http://github.com/astropy/astropy


.. Pytest

.. _pytest: https://docs.pytest.org/


.. Flake8

.. _Flake8: http://flake8.pycqa.org/


.. pymatreader

.. _pymatreader: https://gitlab.com/obob/pymatreader


.. CuPy

.. _CuPy: https://cupy.chainer.org/


.. git stuff

.. _git: https://git-scm.com/
.. _github: https://github.com
.. _GitHub Help: https://help.github.com
.. _msysgit: http://code.google.com/p/msysgit/downloads/list
.. _git-osx-installer: http://code.google.com/p/git-osx-installer/downloads/list
.. _subversion: http://subversion.tigris.org/
.. _git cheat sheet: http://github.com/guides/git-cheat-sheet
.. _pro git book: http://progit.org/
.. _git svn crash course: http://git-scm.com/course/svn.html
.. _learn.github: http://learn.github.com/
.. _network graph visualizer: https://github.com/blog/39-say-hello-to-the-network-graph-visualizer
.. _git user manual: https://schacon.github.io/git/user-manual.html
.. _git tutorial: https://schacon.github.io/git/gittutorial.html
.. _git community book: http://book.git-scm.com/
.. _git ready: http://www.gitready.com/
.. _git casts: http://www.gitcasts.com/
.. _git magic: http://www-cs-students.stanford.edu/~blynn/gitmagic/index.html
.. _git concepts: http://www.eecs.harvard.edu/~cduan/technical/git/
.. _git clone: http://schacon.github.com/git/git-clone.html
.. _git checkout: https://schacon.github.io/git/git-checkout.html
.. _git commit: https://schacon.github.io/git/git-commit.html
.. _git push: https://schacon.github.io/git/git-push.html
.. _git pull: https://schacon.github.io/git/git-pull.html
.. _git add: https://schacon.github.io/git/git-add.html
.. _git status: https://schacon.github.io/git/git-status.html
.. _git diff: https://schacon.github.io/git/git-diff.html
.. _git log: https://schacon.github.io/git/git-log.html
.. _git branch: https://schacon.github.io/git/git-branch.html
.. _git remote: https://schacon.github.io/git/git-remote.html
.. _git rebase: https://schacon.github.io/git/git-rebase.html
.. _git config: https://schacon.github.io/git/git-config.html
.. _git staging area: http://www.gitready.com/beginner/2009/01/18/the-staging-area.html
.. _tangled working copy problem: http://tomayko.com/writings/the-thing-about-git
.. _git management: http://kerneltrap.org/Linux/Git_Management
.. _linux git workflow: http://www.mail-archive.com/dri-devel@lists.sourceforge.net/msg39091.html
.. _git parable: http://tom.preston-werner.com/2009/05/19/the-git-parable.html
.. _git foundation: http://matthew-brett.github.io/pydagogue/foundation.html
.. _deleting master on github: http://matthew-brett.github.io/pydagogue/gh_delete_master.html
.. _rebase without tears: http://matthew-brett.github.io/pydagogue/rebase_without_tears.html
.. _resolving a merge: https://schacon.github.io/git/user-manual.html#resolving-a-merge
.. _ipython git workflow: https://web.archive.org/web/*/http://mail.scipy.org/pipermail/ipython-dev/2010-October/006746.html
.. _why the -a flag?: http://www.gitready.com/beginner/2009/01/18/the-staging-area.html
.. _Fernando's git page: http://www.fperez.org/py4science/git.html

.. other stuff

.. _python: http://www.python.org
.. _travis: https://travis-ci.org/
.. _linterflake8: https://atom.io/packages/linter-flake8
.. _Brain Imaging Data Structure: https://bids.neuroimaging.io/

.. python packages

.. _pep8: https://pypi.org/project/pep8/
.. _pyflakes: https://pypi.org/project/pyflakes
.. _coverage: https://pypi.python.org/pypi/coverage
.. _mayavi: https//docs.enthought.com/mayavi/mayavi/
.. _nitime: http://nipy.org/nitime/
.. _joblib: https://pypi.python.org/pypi/joblib
.. _scikit-learn: https://scikit-learn.org/stable/
.. _pysurfer: https://pysurfer.github.io/
.. _pyDICOM: https://pypi.python.org/pypi/pydicom/
.. _matplotlib: https://matplotlib.org/
.. _sphinx: http://sphinx-doc.org/
.. _pandas: http://pandas.pydata.org/
.. _PIL: https://pypi.python.org/pypi/PIL

.. python editors

.. _atom: https://atom.io/
.. _Spyder: https://www.spyder-ide.org/
.. _anaconda: https://www.anaconda.com/distribution/
.. _miniconda: https://conda.io/en/latest/miniconda.html
.. _installation instructions for Anaconda: http://docs.continuum.io/anaconda/install
.. _installation instructions for Miniconda: https://conda.io/projects/conda/en/latest/user-guide/install/index.html
.. _EPD: https://www.enthought.com/products/epd/
.. _sublime text: http://www.sublimetext.com/

.. installation links

.. _requirements file:  https://raw.githubusercontent.com/mne-tools/mne-python/master/requirements.txt
.. _NVIDIA CUDA GPU processing: https://developer.nvidia.com/cuda-zone
.. _NVIDIA proprietary drivers: https://www.geforce.com/drivers

.. _Sphinx documentation: http://sphinx-doc.org/rest.html
.. _sphinx gallery documentation: https://sphinx-gallery.github.io
.. _NumPy docstring standard: https://github.com/numpy/numpy/blob/master/doc/HOWTO_DOCUMENT.rst.txt
.. _Stack Overflow: https://stackoverflow.com/

.. vim: ft=rst
